// This file may be redistributed and modified only under the terms of
// the GNU General Public License (See COPYING for details).
// Copyright (C) 2003 Henri Kuuste

#ifndef _EF_MODEL_COLS_H_
#define _EF_MODEL_COLS_H_


/**
 * A list of entity item types
 *\todo check if this order of enum items make any sense at all
 */
enum EntityItemType {
  MESHES,
  MODEL,
  ANIMATIONS,
  CYCLES,
  ACTIONS,
  MATERIALS,
  MESH,
  SUBMESH,
  ANIMATION_CYCLE,
  ANIMATION_ACTION,
  MATERIAL
};

/**
 * Some GTK class
 *
 *\todo document this class! 
 */
class ModelColumns : public Gtk::TreeModel::ColumnRecord {
 public:
  ModelColumns() { add(text); add(active); add(id); add(type); add(selected); };
  Gtk::TreeModelColumn<Glib::ustring> text;
  Gtk::TreeModelColumn<bool> active;
  Gtk::TreeModelColumn<int> id;
  Gtk::TreeModelColumn<EntityItemType> type;
  Gtk::TreeModelColumn<bool> selected;
};

#endif
